package com.koobietech.eas.dao.pojo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelIgnore;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class EasArcTlsScoresPojo implements Serializable {
    @Excel(name = "学员档案")
    private String studentNumber;

    @ExcelIgnore
    private Integer categoryId;

    @ExcelIgnore
    private Integer subjectId;

    @Excel(name = "类目" )
    private String categoryName;

    @Excel(name = "科目" )
    private String subjectsName;

    @Excel(name = "考试时间", format = "yyyy-MM-dd HH:mm", width = 20 )
    private Date testDate;

    @Excel(name = "分数")
    private BigDecimal score;

    @Excel(name = "通过率")
    private BigDecimal passRate;

    @Excel(name = "及格率")
    private BigDecimal excelRate;

    @Excel(name = "创建时间", format = "yyyy-MM-dd HH:mm")
    private Date createTime;

    @Excel(name = "考试备注信息")
    private String comment;

    private static final long serialVersionUID = 1L;

}