package com.koobietech.eas.mbg.model;

import java.util.ArrayList;
import java.util.List;

public class EasSysUniversityExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public EasSysUniversityExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andUniversityCodeIsNull() {
            addCriterion("university_code is null");
            return (Criteria) this;
        }

        public Criteria andUniversityCodeIsNotNull() {
            addCriterion("university_code is not null");
            return (Criteria) this;
        }

        public Criteria andUniversityCodeEqualTo(String value) {
            addCriterion("university_code =", value, "universityCode");
            return (Criteria) this;
        }

        public Criteria andUniversityCodeNotEqualTo(String value) {
            addCriterion("university_code <>", value, "universityCode");
            return (Criteria) this;
        }

        public Criteria andUniversityCodeGreaterThan(String value) {
            addCriterion("university_code >", value, "universityCode");
            return (Criteria) this;
        }

        public Criteria andUniversityCodeGreaterThanOrEqualTo(String value) {
            addCriterion("university_code >=", value, "universityCode");
            return (Criteria) this;
        }

        public Criteria andUniversityCodeLessThan(String value) {
            addCriterion("university_code <", value, "universityCode");
            return (Criteria) this;
        }

        public Criteria andUniversityCodeLessThanOrEqualTo(String value) {
            addCriterion("university_code <=", value, "universityCode");
            return (Criteria) this;
        }

        public Criteria andUniversityCodeLike(String value) {
            addCriterion("university_code like", value, "universityCode");
            return (Criteria) this;
        }

        public Criteria andUniversityCodeNotLike(String value) {
            addCriterion("university_code not like", value, "universityCode");
            return (Criteria) this;
        }

        public Criteria andUniversityCodeIn(List<String> values) {
            addCriterion("university_code in", values, "universityCode");
            return (Criteria) this;
        }

        public Criteria andUniversityCodeNotIn(List<String> values) {
            addCriterion("university_code not in", values, "universityCode");
            return (Criteria) this;
        }

        public Criteria andUniversityCodeBetween(String value1, String value2) {
            addCriterion("university_code between", value1, value2, "universityCode");
            return (Criteria) this;
        }

        public Criteria andUniversityCodeNotBetween(String value1, String value2) {
            addCriterion("university_code not between", value1, value2, "universityCode");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleIsNull() {
            addCriterion("university_title is null");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleIsNotNull() {
            addCriterion("university_title is not null");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleEqualTo(String value) {
            addCriterion("university_title =", value, "universityTitle");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleNotEqualTo(String value) {
            addCriterion("university_title <>", value, "universityTitle");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleGreaterThan(String value) {
            addCriterion("university_title >", value, "universityTitle");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleGreaterThanOrEqualTo(String value) {
            addCriterion("university_title >=", value, "universityTitle");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleLessThan(String value) {
            addCriterion("university_title <", value, "universityTitle");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleLessThanOrEqualTo(String value) {
            addCriterion("university_title <=", value, "universityTitle");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleLike(String value) {
            addCriterion("university_title like", value, "universityTitle");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleNotLike(String value) {
            addCriterion("university_title not like", value, "universityTitle");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleIn(List<String> values) {
            addCriterion("university_title in", values, "universityTitle");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleNotIn(List<String> values) {
            addCriterion("university_title not in", values, "universityTitle");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleBetween(String value1, String value2) {
            addCriterion("university_title between", value1, value2, "universityTitle");
            return (Criteria) this;
        }

        public Criteria andUniversityTitleNotBetween(String value1, String value2) {
            addCriterion("university_title not between", value1, value2, "universityTitle");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}