package com.koobietech.eas;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.FilterType;

/**
 * @author lc
 */
@SpringBootApplication
@MapperScan(basePackages = {"com.koobietech.eas.mbg.mapper","com.koobietech.eas.dao.mapper"})
@ComponentScan(basePackages = {"com.koobietech.eas"}, excludeFilters = {
        @ComponentScan.Filter(type = FilterType.REGEX, pattern  = {
                "com.koobietech.eas.mbg.+"
        })
})
public class ControllerApplication {

    public static void main(String[] args) {
        SpringApplication.run(ControllerApplication.class, args);
    }

}
