package com.koobietech.eas.dao.pojo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author lc
 */
@Data
public class EasArcTlsAttendancePojo implements Serializable {

    @Excel(name = "签到日期", format = "yyyy-MM-dd HH:mm:ss", width = 20)
    private Date checkinDate;

    @Excel(name = "学员档案号", width = 30)
    private String studentNumber;

    //a表示正常出勤, b表示迟到、早退, c表示旷课, d表示请假, e表示无效
    @Excel(name = "上午出勤状态", replace = { "正常_a", "迟到、早退_b", "旷课_c", "请假_d", "无效_e"}, width = 15 )
    private String morning;

    //a表示正常出勤,   b表示迟到、早退, c 表示旷课, d 表示请假, e表示无效"
    @Excel(name = "下午出勤状态", replace = { "正常_a", "迟到、早退_b", "旷课_c", "请假_d", "无效_e" }, width = 15 )
    private String afternoon;

    @Excel(name = "学员姓名", width = 20)
    private String studentName;

    @Excel(name = "类别", width = 20 )
    private String category;

    @Excel(name = "科目", width = 20 )
    private String subject;

    @Excel(name = "创建时间", format = "yyyy-MM-dd HH:mm:ss", width = 20 )
    private Date createTime;

    private static final long serialVersionUID = 1L;

}