package com.koobietech.eas.security.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Data
@Component
@ConfigurationProperties(prefix = "security.url")
public class IgnoreUrlsConfig {
    private List<String> ignored = new ArrayList<>();
}
