package com.koobietech.eas.service;

import com.koobietech.eas.common.result.PageDataResult;
import com.koobietech.eas.dao.dto.AttendanceDto;
import com.koobietech.eas.dao.pojo.AttendancePojo;
import com.koobietech.eas.mbg.model.EasArcTlsAttendance;

import java.util.List;

public interface EasArcTlsAttendanceService {
    PageDataResult query(EasArcTlsAttendance attendance);

    Boolean add(EasArcTlsAttendance attendance);

    Boolean delete(EasArcTlsAttendance attendance);

    Boolean update(EasArcTlsAttendance attendance);

    boolean isExist(EasArcTlsAttendance attendance);

    List<AttendancePojo> getStudentList(AttendanceDto dto);

    PageDataResult queryAttendance(AttendanceDto dto);

    boolean saveStudentAttendanceArchive(String studentNumber);
}
